## ros-rolling-tracetools-test 7.1.0

=== debian/changelog ===
ros-rolling-tracetools-test (7.1.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 23 Aug 2023 07:00:00 -0000

ros-rolling-tracetools-test (7.0.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 09 Jun 2023 07:00:00 -0000

ros-rolling-tracetools-test (6.4.1-1jammy) jammy; urgency=high

  * Switch <depend> to <exec_depend> in pure Python packages (#67 <https://github.com/ros2/ros2_tracing/issues/67>)
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 May 2023 07:00:00 -0000

ros-rolling-tracetools-test (6.4.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 28 Apr 2023 07:00:00 -0000

ros-rolling-tracetools-test (6.3.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 18 Apr 2023 07:00:00 -0000

ros-rolling-tracetools-test (6.2.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 18 Apr 2023 07:00:00 -0000

ros-rolling-tracetools-test (6.1.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 13 Apr 2023 07:00:00 -0000

ros-rolling-tracetools-test (6.0.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 12 Apr 2023 07:00:00 -0000

ros-rolling-tracetools-test (5.1.0-1jammy) jammy; urgency=high



 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 02 Mar 2023 08:00:00 -0000

ros-rolling-tracetools-test (4.1.0-1jammy) jammy; urgency=high

  * Allow providing additional actions for TraceTestCase
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 29 Mar 2022 07:00:00 -0000

ros-rolling-tracetools-test (4.0.0-1jammy) jammy; urgency=high

  * Remove default value for 'package' kwarg for TraceTestCase
  * Move actual tests out of tracetools_test to new test_tracetools package
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 20 Jan 2022 08:00:00 -0000

ros-rolling-tracetools-test (3.1.0-1jammy) jammy; urgency=high

  * Add tests for rmw init/pub, take, and executor instrumentation
  * Add field type assertion utilities to TraceTestCase
  * Fixing deprecated subscriber callback warnings
  * Contributors: Abrar Rahman Protyasha, Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-tracetools-test (2.3.0-1jammy) jammy; urgency=high

  * Update after namespacing C++ tracetools functions and macros
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-rolling-tracetools-test (2.2.0-1jammy) jammy; urgency=high

  * Add tests for rcl_publish and rclcpp_publish tracepoints
  * Allow asserting order of list of events
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 29 Mar 2021 07:00:00 -0000

ros-rolling-tracetools-test (2.1.0-1jammy) jammy; urgency=high

  * Allow skipping test trace cleanup by setting an environment variable
  * Add test for timer-node linking instrumentation
  * Increased code coverage > 94% as part of QL1
  * Contributors: Christophe Bedard, Ingo Lütkebohle, Alejandro Hernández Cordero

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 13 Jan 2021 08:00:00 -0000

ros-rolling-tracetools-test (2.0.0-1jammy) jammy; urgency=high

  * Add lifecycle node state transition instrumentation test
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 12 Oct 2020 07:00:00 -0000

ros-rolling-tracetools-test (1.0.0-1jammy) jammy; urgency=high

  * Add test_depend on python3-pytest-cov for tracetools_test
  * Call ament_add_pytest_test only once for tracetools_test
  * Move test_utils from tracetools to tracetools_test
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 24 Apr 2020 07:00:00 -0000

ros-rolling-tracetools-test (0.3.0-1jammy) jammy; urgency=high

  * Merge and update service test to cover callback registration
  * Fix default value for events_kernel in TraceTestCase
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 04 Mar 2020 08:00:00 -0000

ros-rolling-tracetools-test (0.2.12-1jammy) jammy; urgency=high

  * Use imperative mood in constructor docstring.
  * Contributors: Christophe Bedard, Steven! Ragnarök

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 08:00:00 -0000

ros-rolling-tracetools-test (0.2.11-1jammy) jammy; urgency=high

  * Fix working directory for tracetools_test Python tests
  * Fix version regex to support multi-digit numbers
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 08:00:00 -0000

ros-rolling-tracetools-test (0.2.10-1jammy) jammy; urgency=high

  * Update tests after new intra-process communications
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 17 Nov 2019 08:00:00 -0000

ros-rolling-tracetools-test (0.2.6-1jammy) jammy; urgency=high

  * Fix "do_more" check for test_ping/test_pong
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 16 Aug 2019 07:00:00 -0000

ros-rolling-tracetools-test (0.2.3-1jammy) jammy; urgency=high

  * Fix Windows warnings
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 05 Aug 2019 07:00:00 -0000

ros-rolling-tracetools-test (0.2.0-1jammy) jammy; urgency=high

  * Enable tracing by default if LTTng is available
  * Contributors: Christophe Bedard, Tobias Blass

 -- Christophe Bedard <bedard.christophe@gmail.com>  Tue, 30 Jul 2019 07:00:00 -0000

ros-rolling-tracetools-test (0.1.1-1jammy) jammy; urgency=high

  * Disable tracing-related tests by default

