=== debian/control ===
Source: ros-rolling-tracetools-test
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-rolling-ament-copyright <!nocheck>, ros-rolling-ament-flake8 <!nocheck>, ros-rolling-ament-mypy <!nocheck>, ros-rolling-ament-pep257 <!nocheck>, ros-rolling-ament-xmllint <!nocheck>, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: https://index.ros.org/p/tracetools_test/
Standards-Version: 3.9.2

Package: ros-rolling-tracetools-test
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-tracetools-launch, ros-rolling-tracetools-read, ros-rolling-tracetools-trace, ros-rolling-ros-workspace
Description: Utilities for tracing-related tests.
